<?php require "php/cabecera3.inc";
	echo "<div><BR>";
	
	$suma=0;
	$STY = "STYLE='color:".$st['C-T-TEXT']."; background-color: ".$st['C-T-CELL'].";' ";
	echo "<INPUT TYPE='HIDDEN' ID='IDSX' VALUE='$IDS'>";
	echo "<CENTER><DIV STYLE='WIDTH:100%;'><TABLE ID='CHECKOUT' class='example table-stripeclass:alternate' style='border:none;width:100%;table-layout:fixed;margin:auto;' STYLE='WIDTH:100%'><THEAD><TR><TH>Nombre</TH><TH>Piezas</TH><TH>Precio unitario</TH><TH>Subtotal</TH></TR></THEAD><TBODY>";
	for($i = 0;$i< $_SESSION['contador'];$i++){
		$peticion = "SELECT * FROM tabla_altaproducto WHERE SKU='".$_SESSION['producto'][$i]."'";
		$resultado = mysqli_query($conexion, $peticion);
		while($fila = mysqli_fetch_array($resultado)){
			$total = $fila['COSTOECOM']*$_SESSION['numb'][$i];
			echo "<tr ".$STY."><td> ".$fila['DESCRIPCION']."</td><td>".$_SESSION['numb'][$i]."</td><td>$ ".$fila['COSTOECOM']."</td><td>$ ".$total;
			echo "<INPUT TYPE='HIDDEN' ID='NOMBP-".$fila['SKU']."' VALUE='".$fila['DESCRIPCION']."'><INPUT TYPE='HIDDEN' ID='PROD-".$fila['SKU']."' VALUE='".$i."'><button class='less' id='less' name='".$fila['SKU']."' style='float:right;'>-</button></td></tr>";
			$suma += $total;
		}
	}
	echo "</TBODY><TFOOT><tr><TD></TD><TD></TD><TD COLSPAN='2' id='PRECTOTAL'></TD></tr></TFOOT></TABLE></DIV></CENTER><BR><BR><CENTER><table>";
	
	if($_SESSION['contador']!=0){
		
		if(isset($_SESSION['usuario']) and $_SESSION['usuario']!=NULL){
		$resultado = mysqli_query($conexion, "SELECT * FROM ecomm_usuarios WHERE ID= $_SESSION[usuario]");
		$dtuser =mysqli_fetch_array($resultado);
		$destino = mysqli_query($conexion,"Select * from tabla_destinosclientes where CVE_DESTINO='$dtuser[ID]'");
		$dest=mysqli_fetch_array($destino);
			echo "<tr><td style='text-align:center;'><form action='check.php' method='post'>
			
			<input type='hidden' name='IDS' value='$IDS'>
			<input type='hidden' name='col' value='$dest[COLONIA]'>
			<input type='hidden' name='cal' value='$dest[CALLE]'>
			<input type='hidden' name='nex' value='$dest[NO]'>
			<input type='hidden' name='cp' value='$dest[CP]'>
			<input type='hidden' name='mun' value='$dest[CIUDAD]'>
			<input type='hidden' name='est' value='$dest[ESTADO]'>
			<input type='hidden' name='nom' value='$dest[NOMBRE]'>
			<input type='hidden' name='tel' value='$dest[TELEFONO]'>
			<input type='hidden' name='ema' value='$dest[EMAIL]'>
			<input type='hidden' name='pais' value='$dest[PAIS]'>
			
			<input type='submit' class='btn' value='Pagar con PayPal'></form></td></tr>";
			if($dtuser['CREDITO']>0){
			
				$suma = 0;
				for($i = 0;$i< $_SESSION['contador'];$i++){
					$peticion = "SELECT * FROM tabla_altaproducto WHERE CUENTA='".$_GET['IDS']."' AND SKU='".$_SESSION['producto'][$i]."'";
					$resultado = mysqli_query($conexion, $peticion);
					while($fila = mysqli_fetch_array($resultado)){
						$total = $fila['COSTOECOM']*$_SESSION['numb'][$i];
						$suma += $total;
					}
				}
				if($dtuser['CREDITO']>=($suma+$dtuser['ADEUDO'])){echo "<tr><td style='text-align:center;'><a href='aprovcred.php?IDS=$IDS'><button class='btn'> Utilizar mi credito </button></a></td></tr>";}else{
					$rest=$dtuser['CREDITO']-$dtuser['ADEUDO'];
					echo "<script>function insuf(){alert('El crédito es insuficiente para cubrir el monto del pedido, solo cuenta con un saldo restante de $ $rest.');}</script>";
					echo "<tr><td style='text-align:center;'><button class='btn' onclick='insuf();'> Utilizar mi credito </button></td></tr>";
				}
				}else{
				echo "<script>function cred(){alert('Para solicitar un crédito llame a los siguientes números:\\n$st[TELEFONOS]\\nSu número de cuenta $st[EMPRESA] es '$dtuser[ID]'.');}</script>";
				echo "<tr><td style='text-align:center;'><button class='btn' onclick='cred();'> Solicitar crédito </button></td></tr>";
			}
		}
		else{
			echo "<tr><td style='text-align:center;'><a href='pp.php?IDS=$IDS'><button class='btn'> Pagar con Paypal como invitado </button></a></td></tr>";
		}
		echo "<tr><td style='text-align:center;'><button class='btn' onclick='reset();'> Borrar todo </button></td></tr>";
	}
	echo "<tr><td  style='text-align:center;'><a href='index.php?IDS=".$_GET['IDS']."'><button class='btn'> Regresar </button></a></td></tr></table></CENTER>";
	
	mysqli_close($conexion);
require "php/pie.inc" ?>